%define		plugin		odt
Summary:	DokuWiki odt (Open Document Text) Export Plugin
Summary(pl.UTF-8):	Wtyczka do eksportowania plików odt (Open Document Text)
Name:		dokuwiki-plugin-%{plugin}
Version:	20110616
Release:	2
License:	GPL v2
Group:		Applications/WWW
#Source0:	http://aurelien.bompard.org/projects/files/dokuwiki-odt/dokuwiki-odt-%{version}.zip
Source0:	http://gitorious.org/dokuwiki-odt/dokuwiki-odt/archive-tarball/master#/%{name}-%{version}.tgz
# Source0-md5:	a30fe453e3036014c82e5b5e9a7c47b0
Patch0:		dokuwiki-ziplib.patch
Patch1:		geshi.patch
URL:		http://www.dokuwiki.org/plugin:odt
Requires:	dokuwiki >= 20070626
Requires:	php(core) >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir		/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}
%define		find_lang 	%{_usrlibrpm}/dokuwiki-find-lang.sh %{buildroot}

%description
This plugin allows you to export a page to the OpenDocument format
used by Open Office and other word processors. This is especially
useful when you need to give a single page to a customer

Hint: Open Office can also export to PDF.

%description -l pl.UTF-8
Ta wtyczka pozwala na eksportowanie strony do formatu OpenDocument,
używanego przez Open Office i inne edytory tekstu. Przydatna jest w
sytuacji w której musisz dać pojedyńczą stronę klientowi.

Podpowiedź: Open Office pozwala także na eksportowanie do PDF.

%prep
%setup -qc
mv dokuwiki-odt-dokuwiki-odt/* .
%patch0 -p1
%patch1 -p1

version=$( awk '/^date/{print $2}' info.txt)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
#	exit 1
fi

rm -f ZipLib.class.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a conf lang *.php *.png *.xml info.txt $RPM_BUILD_ROOT%{plugindir}
rm -f $RPM_BUILD_ROOT%{plugindir}/{ChangeLog,.gitignore}

%find_lang %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog.txt README.txt
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.txt
%{plugindir}/*.png
%{plugindir}/*.xml
%{plugindir}/*.php
%{plugindir}/conf
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 08b8c6a
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Tue Mar 13 2012 Elan Ruusamäe <glen@pld-linux.org> 1aa9eb7
- up to 20110616 snap, allows customizing template via config or via odt-template GET parameter

* Wed Dec 01 2010 Elan Ruusamäe <glen@pld-linux.org> 2aff228
- up to 20101030

* Wed Sep 15 2010 Elan Ruusamäe <glen@pld-linux.org> f3037b4
- up to 20100812

* Sun May 16 2010 sparky <sparky@pld-linux.org> 061fd6d
- BR: unzip

* Wed Apr 21 2010 Sławomir Paszkiewicz <paszczus@pld-linux.org> 2bfd06c
- updated to 20100404
- s/pl-UTF8/pl.UTF-8 in Summary and description

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> 61e7ca3
- update to 20090702

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> d842918
- use dokuwiki ziplib class

* Thu May 28 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1ce3df7
- updated to 20090115

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> 9d5eb87
- add ca-va -> ca_VA

* Fri Jan 30 2009 Elan Ruusamäe <glen@pld-linux.org> d0ac788
- do not use subshell, so the exit code could be propagated

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> b406c89
- refresh dw cache on install

* Wed Jan 28 2009 Elan Ruusamäe <glen@pld-linux.org> 5ee6988
- barf if lang files not found

* Tue Jan 27 2009 Elan Ruusamäe <glen@pld-linux.org> 642bbd3
- up to 2009-01-26 rc

* Fri Sep 19 2008 duddits <duddits@pld-linux.org> 810ea05
- fixed missing Source0-md5

* Tue Aug 19 2008 Jacek Konieczny <jajcus@pld-linux.org> 83d9170
- Version: 20080507

* Tue Aug 19 2008 Jacek Konieczny <jajcus@pld-linux.org> c2f42e8
- outdated

* Thu May 08 2008 Elan Ruusamäe <glen@pld-linux.org> 2b672c6
- unify; rel 1

* Fri Mar 14 2008 blekot <blekot@pld-linux.org> ba89cb3
- added pl
- rel 1

* Mon Mar 03 2008 Elan Ruusamäe <glen@pld-linux.org> db46de2
- make odt plugin compatible with DW 20070626

